Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Class SamplingController

    java.lang.Object
      kieker.monitoring.core.controller.AbstractController
          kieker.monitoring.core.controller.SamplingController

All Implemented Interfaces:
  ISamplingController

    public final class SamplingController

extends AbstractController
implements ISamplingController

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Method Summary
`boolean` | `removeScheduledSampler(ScheduledSamplerJob sensorJob)` Stops future executions of the given periodic `ScheduledSamplerJob` .
`ScheduledSamplerJob` | `schedulePeriodicSampler(ISampler sensor, long initialDelay, long period, TimeUnit timeUnit)` Schedules the given `ISampler` with given initial delay, and period.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public final String toString()

  Specified by:
    `toString` in class `AbstractController`

### schedulePeriodicSampler

    public final ScheduledSamplerJob schedulePeriodicSampler(ISampler sensor,
                                                             long initialDelay,
                                                             long period,
                                                             TimeUnit timeUnit)

  Schedules the given `ISampler` with given initial delay, and period.

  Specified by:
    `schedulePeriodicSampler` in interface `ISamplingController`
  Parameters:
    `sensor` - The sampler to schedule.
    `initialDelay` - The initial delay.
    `period` - The period.
    `timeUnit` - The time unit which determines how to interpret the given parameter.
  Returns:
    a `ScheduledSamplerJob` as a handler for removing the scheduled sampler later on by using the method `ISamplingController.removeScheduledSampler(ScheduledSamplerJob)`.

### removeScheduledSampler

    public final boolean removeScheduledSampler(ScheduledSamplerJob sensorJob)

  Stops future executions of the given periodic `ScheduledSamplerJob` .

  Specified by:
    `removeScheduledSampler` in interface `ISamplingController`
  Parameters:
    `sensorJob` - The sampler to be removed.
  Returns:
    true if the sensor is not registered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net